class 'l_08_Lauras_room' (PlayField)

function l_08_Lauras_room:__init(game_scene, name, path)
	PlayField.__init(self, game_scene, name, path)
	self.is_outdoor_scene = false

	self:linkScene('area_link_07',   'CursorDown',    '07_Cantellos_shop')
	self:linkScene('area_link_06',   'CursorUp',    '06_Town')
	self:linkScene('area_link_ho',   'CursorEye',    '08_Lauras_room_HO')

	self:registerBBT('area_bbt_like_Laura', 'BBT_08_LIKE_LAURA') 
	self:registerBBT('area_bbt_like_Laura_2', 'BBT_08_LIKE_LAURA_2')
	self:registerBBT('area_click_bbt_Laura', 'BBT_08_LAURA_GET_OUT')

	-- action init ----------------------------------------------------------------
	self.action = ActionScreen(self)

	------------------------------------------------------------------------------=
	self:getEntityNamed('area_click_bbt').onFocusIn:add(bind(self.OnFocus, self))
   	self:getEntityNamed('area_click_bbt').onFocusOut:add(bind(self.OnFocusOut, self))

   	do  -- find clock -----------------------------------------------------   
	    if not self:isObjectClicked('area_click_clock_6') then
	    	self:getEntityNamed('area_click_clock_6'):hide()
           	self.timer:add( function() 
                              	self:fadeGhostClock('clock_6', 'cover_clock_6', 'area_click_clock_6')
                            end, 35)   
	    end
	
        function on_click(event)
            self:entityHide('clock_6')
            self:entityHide('area_click_clock_6')
             if not event.save then  
                self:entityFadeHide('cover_clock_6') 
            else 
                self:entityHide('cover_clock_6') 
            end
	    end
	    self:registerFindClockObject('area_click_clock_6', 'fly_clock_6', 'clock_6', on_click)
	end
	

	-- Hide Layer textures 
	self:entityHide('coverlet_3','pillow_2','Vase_3','wig_2','ropeladder','chair','window_2','cupboard_door','compositiongirl')
	self:entityHide('area_link_06', 'area_link_07','area_bbt_like_Laura','area_bbt_like_Laura_2','area_click_shelf','area_click_bbt_Laura') 


	-- find photo ---------------------------------------------------------------
    do
        local function on_take_photo(event)    
           -- self:entityShow('')     
        end
        self:registerFindFlyPhoto('area_find_photo', '08_Laura', on_take_photo)
    end
    -- find photo ---------------------------------------------------------------


	
	-- -- click Laura--------------------------------------------------------------
	do
		local function click_on_click_Laura1(event)
			self:entityHide('area_click_Laura1','idle_Laura')	
			self:createComicsLaura1()
		end
		self:registerActiveObject('area_click_Laura1', click_on_click_Laura1, false, 'CursorGlass')
	end

	-- zooms 
	self.zoom_table_pillow 			= self:createZoomZone('Table_pillow')
	self.zoom_window_vase 			= self:createZoomZone('Window_vase')
	self.zoom_bed 					= self:createZoomZone('Bed')
	self.zoom_lauras_room_door 		= self:createZoomZone('Door_to_shop')
	self.zoom_hipo 					= self:createZoomZone('Hipo', ZOOM_TYPE_CIRCLE_BIG)


	self:getEntityNamed('area_zoom_Door_to_shop'):setCursorOverName("CursorDown")
	self:entityHide('area_click_handle')


	self:registerBBT('area_click_bbt', 'BBT_08_SHELF')
	-- hide shelf
	do
		local function on_click_shelf(event)
			self:entityHide(event.target)
			if not self:isObjectClicked('area_click_window_3') then
				self:entityShow('area_click_window_3')
			end	
  			if not event.save then
		    	-- actionScreen
		    	self.action:incrementActionBar(10)
		    	----------------------------------------------------------
		    	self:getEntityNamed('door'):destroyEffectors()
		    			self:entityHide('chair')

		    	local node = path_manager:findNode(NodeType.SCENE, '06_Town')
		        if node then
		            node:setState(NodeState.ENABLED)
		        end   
	    	end
		end
		self:registerActiveObject('area_click_shelf', on_click_shelf)
	end

	-- handle in zoom
	local door_handle_z = self:getEntityNamed('area_click_handle')
	door_handle_z.onPress:add(bind(self.door_handle_z_anim, self))
	self:getEntityNamed('area_click_handle'):setCursorOverName('CursorActive')
	self:registerBBT('area_click_handle', 'BBT_08_HANDLE') 
	--

	if 	HasGameState('08_Cantello_cut_scene_was_ended', 'true') then
		self:getEntityNamed('chair'):attachTo(self:getEntityNamed('Bg'))
		self:getEntityNamed('zd_handle'):attachTo(self:getEntityNamed('zd_bg'))
		self:getEntityNamed('zd_handle'):setX(135)
		self:entityHide('chair','zd_close','area_bbt_like_Laura')
		self:entityShow('area_click_handle','area_bbt_like_Laura_2')
	end

end

function l_08_Lauras_room:door_handle_z_anim()
	self.mouseBlocker:push()
	self.timer:add( function() self.mouseBlocker:pop() end, 0.5)

	local sa = self:getEntityNamed('zd_handle'):getRotationDeg() 
	--local da = 1/360
    effector = CreateAnimationEffector()
    effector:attachTo(self:getEntityNamed('zd_handle'))
    effector:setDestroysOnEnd(true)				
	effector:setLifeTime(0, 0.5)
	effector:setKey(_TRACK_A, 0, math.rad(0))
	effector:setKey(_TRACK_A, 0.15, math.rad(-40))
	effector:setKey(_TRACK_A, 0.3, math.rad(4))
	effector:setKey(_TRACK_A, 0.31, math.rad(-4))
	effector:setKey(_TRACK_A, 0.32, math.rad(-3))
	effector:setKey(_TRACK_A, 0.33, math.rad(3))
	effector:setKey(_TRACK_A, 0.34, math.rad(-2))
	effector:setKey(_TRACK_A, 0.35, math.rad(-2))
	effector:setKey(_TRACK_A, 0.36, math.rad(1))
	effector:setKey(_TRACK_A, 0.37, math.rad(1))
	effector:setKey(_TRACK_A, 0.38, math.rad(0))
	effector:setKey(_TRACK_A, 0.39, math.rad(0))

--	effector:setKey(_TRACK_A, 1.0, 0)
	effector:play()
	self:stopSound('08_door_handle_z_anim')
	self:playSound('08_door_handle_z_anim')

end


function l_08_Lauras_room:createComicsLaura1()	
    local comics_name = 'Laura1'
    
    local comics_finish = function(save)
    	self:entityHide('idle_Laura','area_click_Laura1')
    	self:entityShow('chair','compositiongirl','area_click_bbt_Laura')

    	
    	if not self:isObjectClicked('area_click_shelf') then	
       -- 	self:stopSound('08_action_Cantello_1')
  		--	self:playSound('08_action_Cantello_1', true)
		end    	
    	--self.zoom_lauras_room_door:shake_door_z()
   	   	local time = self.action:open()
 
 		if save then
        	self:shake_door()
        else
	       	self.timer:add( function() self:shake_door() end, time)
        end
    end
    
    if self:isComicsShown(comics_name, self.name) then
        comics_finish(true)
    else	
		local c = self:createComics(comics_name)

		c.on_finish = function()
			comics_finish(false)
		end       

		c:start()
    end
end

function l_08_Lauras_room:shake_door()
 	local effector = nil 
	 
    local sx = self:getEntityNamed('door'):getX() -- запоминаем начальную позицыю
    local sy = self:getEntityNamed('door'):getY()
    local sa = self:getEntityNamed('door'):getRotationDeg()
    local dx = 1/1.5
    local dy = 1/4
    local da = 1/360
    effector = CreateAnimationEffector()
    effector:attachTo(self:getEntityNamed('door'))
    effector:setDestroysOnEnd(true)				
	effector:setMode(_ANIM_LOOP)
	effector:setLifeTime(0, 5.95833333333333)
	effector:setKey(_TRACK_X, 0.375, sx) 
	effector:setKey(_TRACK_Y, 0.375, sy) 
	effector:setKey(_TRACK_X, 0.41666666666667, sx)
	effector:setKey(_TRACK_Y, 0.41666666666667, sy)
	effector:setKey(_TRACK_X, 0.45833333333333, sx)
	effector:setKey(_TRACK_Y, 0.45833333333333, sy)
	effector:setKey(_TRACK_X, 0.66666666666667, sx)
	effector:setKey(_TRACK_Y, 0.66666666666667, sy)
	effector:setKey(_TRACK_X, 0.70833333333333, sx + dx)
	effector:setKey(_TRACK_Y, 0.70833333333333, sy + dy)
	effector:setKey(_TRACK_X, 0.75, sx)
	effector:setKey(_TRACK_Y, 0.75, sy)
	effector:setKey(_TRACK_X, 0.95833333333333, sx)
	effector:setKey(_TRACK_Y, 0.95833333333333, sy)
	effector:setKey(_TRACK_X, 1, sx)
	effector:setKey(_TRACK_Y, 1, sy)
	effector:setKey(_TRACK_X, 1.04166666666667, sx)
	effector:setKey(_TRACK_Y, 1.04166666666667, sy)
	effector:setKey(_TRACK_X, 1.25, sx)
	effector:setKey(_TRACK_Y, 1.25, sy)
	effector:setKey(_TRACK_X, 1.29166666666667, sx + dx)
	effector:setKey(_TRACK_Y, 1.29166666666667, sy + dy)
	effector:setKey(_TRACK_X, 1.33333333333333, sx)
	effector:setKey(_TRACK_Y, 1.33333333333333, sy)
	effector:setKey(_TRACK_X, 3.54166666666667, sx)
	effector:setKey(_TRACK_Y, 3.54166666666667, sy)
	effector:setKey(_TRACK_X, 3.58333333333333, sx + dx)
	effector:setKey(_TRACK_Y, 3.58333333333333, sy + dy)
	effector:setKey(_TRACK_X, 3.625, sx)
	effector:setKey(_TRACK_Y, 3.625, sy)
	effector:setKey(_TRACK_X, 3.83333333333333, sx)
	effector:setKey(_TRACK_Y, 3.83333333333333, sy)
	effector:setKey(_TRACK_X, 3.875, sx + dx)
	effector:setKey(_TRACK_Y, 3.875, sy + dy)
	effector:setKey(_TRACK_X, 3.91666666666667, sx)
	effector:setKey(_TRACK_Y, 3.91666666666667, sy)
	effector:setKey(_TRACK_X, 4.125, sx)
	effector:setKey(_TRACK_Y, 4.125, sy)
	effector:setKey(_TRACK_X, 4.16666666666667, sx + dx)
	effector:setKey(_TRACK_Y, 4.16666666666667, sy + dy)
	effector:setKey(_TRACK_X, 4.20833333333333, sx)
	effector:setKey(_TRACK_Y, 4.20833333333333, sy)
	effector:setKey(_TRACK_X, 4.41666666666667, sx)
	effector:setKey(_TRACK_Y, 4.41666666666667, sy)
	effector:setKey(_TRACK_X, 4.45833333333333, sx + dx)
	effector:setKey(_TRACK_Y, 4.45833333333333, sy + dy)
	effector:setKey(_TRACK_X, 4.5, sx)
	effector:setKey(_TRACK_Y, 4.5, sy)

	if not self:isObjectClicked('area_click_shelf') then	
        effector:play()


       
    else		
		effector:destroy()
	
	end			
end

function l_08_Lauras_room:onActionComplete(event)

	local function on_end_cutscene()
		self:getEntityNamed('zd_chair'):attachTo(self:getEntityNamed('zd_open'))
		self:getEntityNamed('chair'):attachTo(self:getEntityNamed('Bg'))
		self:getEntityNamed('zd_handle'):attachTo(self:getEntityNamed('zd_bg'))
		self:getEntityNamed('zd_handle'):setX(135)
		self:entityHide('chair','zd_close')
		self:entityHide('zd_ajar','zd_chair','zd_open','chair','area_bbt_like_Laura')
		self:entityShow('area_click_handle','area_bbt_like_Laura_2')


	end 

	if not event.save then		
	--	self:stopSound('08_action_Cantello_1')
		self.Cantello_1_cutscene = createVideo({video = '08_Cantello_cut_scene_1', scale = 1.51, order = 600, x = 512, y = 384, isLooped = false, isAlpha = false})
  		self:startCutScene(self.Cantello_1_cutscene , on_end_cutscene, nil, '08_Cantello_CutScene')
  		self:playSound('08_Cantello_cut_scene_1')
		SetGameState('08_Cantello_cut_scene_was_ended', 'true')

  		local subtitles_1 = Subtitles(self:getPanel():getControlsPanel())
	    subtitles_1:pushReplic('SUB_08_CANTELLO_1', 4, 6, true)
	    subtitles_1:pushReplic('SUB_08_CANTELLO_2', 11, 7, true)
	    subtitles_1:play()
		-- if not IsToolFound('09_gramophones_horn') then
	 --        reopenScene('08_Lauras_room_HO')
		-- end
	else
		

	end
end

--door on focus ----------------------------------------------------------------------
function l_08_Lauras_room:OnFocus()
   		 	self:entityFadeShow('cupboard_door')
   		 	self:stopSound('08_cupboard_door')	
   		 	self:playSound('08_cupboard_door')
end
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
function l_08_Lauras_room:OnFocusOut()
		   self:entityFadeHide('cupboard_door')
		 --  self:playSound('')
end
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function l_08_Lauras_room:CreateLoaderTable()
	local objects =
	{
		{ name = 'Bg',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/Bg.jpg',  width = 1366,  height = 768,  },
		{ name = 'window_1',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 275,  y = -106,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/window_1.png',  width = 208,  height = 288,  },
		{ name = 'pillow_on_chair',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 350,  y = 109,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/pillow_on_chair.png',  width = 120,  height = 106,  },
		{ name = 'Vase_1',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 162,  y = 5,  order = 1,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/Vase_1.png',  width = 64,  height = 92,  },
		{ name = 'cap',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 85,  y = 44,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/cap.png',  width = 106,  height = 118,  },
		{ name = 'lamp_light',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -483,  y = -7,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/lamp_light.png',  width = 242,  height = 242,  },
		{ name = 'cupboard_door',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -69,  y = -127,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/cupboard_door.png',  width = 112,  height = 332,  },
		{ name = 'Vase_3',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -329,  y = 3,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/Vase_3.png',  width = 104,  height = 72,  },
		{ name = 'pillow_1',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -378,  y = 11,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/pillow_1.png',  width = 180,  height = 84,  },
		{ name = 'wig_2',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -343,  y = -4,  order = 6,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/wig_2.png',  width = 96,  height = 76,  },
		{ name = 'window_2',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 316,  y = -117,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/window_2.png',  width = 124,  height = 284,  },
		{ name = 'pillow_2',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -195,  y = 33,  order = 4,  editingLocked = false,  treeItemIsExpanded = true,  hotSpot = {x = 70, y = 42},  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/pillow_2.png',  width = 140,  height = 84,  },
		{ name = 'coverlet_2',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -143,  y = 46,  order = 5,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 172, y = 81},  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/coverlet_2.png',  width = 344,  height = 162,  },
		{ name = 'pillow_4',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -283,  y = 24,  order = 3,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/pillow_4.png',  width = 158,  height = 80,  },
		{ name = 'pillow_3',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -182,  y = 40,  order = 2,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 78, y = 40},  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/pillow_3.png',  width = 156,  height = 80,  },
		{ name = 'coverlet_3',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -185,  y = 38,  order = 15,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/coverlet_3.png',  width = 444,  height = 144,  },
		{ name = 'hippo',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 400,  y = 17,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/hippo.png',  width = 52,  height = 44,  },
		{ name = 'ho',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 12,  y = 186,  order = 3,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/ho.png',  width = 470,  height = 278,  },
		{ name = 'ropeladder',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 170,  y = 84,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/ropeladder.png',  width = 140,  height = 210,  },
		{ name = 'OL',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 24,  y = 112,  order = 2,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/OL.png',  width = 169,  height = 153,  },
		{ name = 'hipo_close',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 401,  y = 4,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  hotSpot = {x = 20.5, y = 26.5},  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/hipo_close.png',  width = 41,  height = 53,  },
		{ name = 'wig_1',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = 474,  y = 5,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/wig_1.png',  width = 94,  height = 104,  },
		{ name = '08_Lauras_room_Anim_Bg_Laura_figure',  entityType = 'CompositionContainer',  parentName = 'Bg',  x = -512,  y = -384,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/08_Lauras_room/Anim/08_Lauras_room_Anim_Bg_Laura_figure.lua',  },
		{ name = 'compositiongirl',  entityType = 'CompositionSequence',  parentName = '08_Lauras_room_Anim_Bg_Laura_figure',  x = 199,  y = -37,  order = 7,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'door',  entityType = 'SpriteEntity',  parentName = 'Bg',  x = -646,  y = -91,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/door.png',  width = 72,  height = 572,  },
		{ name = 'door_handle',  entityType = 'SpriteEntity',  parentName = 'door',  x = 16.76,  y = 83.118,  order = 2,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/door_handle.png',  width = 48,  height = 36,  },
		{ name = 'chair',  entityType = 'SpriteEntity',  parentName = 'door',  x = 41,  y = 233,  order = 1,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/chair.png',  width = 158,  height = 330,  },
		{ name = 'anchor_areas',  entityType = 'SpriteEntity',  x = 0,  y = 0,  order = 100,  color = {r = 1, g = 1, b = 1, a = 0},  editingLocked = false,  treeItemIsExpanded = true,  width = 2,  height = 2,  },
		{ name = 'area_zoom_Door_to_shop',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 512,  y = 718,  order = 110,  scaleX = 12,  scaleY = 2,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_zoom_Window_vase',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 706,  y = 278,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 168,  height = 237,  },
		{ name = 'area_zoom_Bed',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 278,  y = 419,  order = 60,  angle = 19,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 400,  height = 200,  },
		{ name = 'area_zoom_Table_pillow',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 924,  y = 435.5,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 200,  height = 259,  },
		{ name = 'area_link_07',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 512,  y = 718,  order = 100,  scaleX = 12,  scaleY = 2,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_link_06',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 756,  y = 270,  order = 100,  scaleX = 1,  scaleY = 2,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 174,  height = 150,  },
		{ name = 'area_link_ho',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 554,  y = 557,  order = 30,  angle = -25,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 181,  height = 130,  },
		{ name = 'area_click_shelf',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 433,  y = 233,  order = 60,  isVisible = false,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 150,  height = 265,  },
		{ name = 'area_click_Laura1',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 508,  y = 370,  order = 150,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 1366,  height = 772,  },
		{ name = 'area_click_bbt',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 444,  y = 208,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 143,  height = 305,  },
		{ name = 'area_bbt_like_Laura',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 318.744,  y = 417.06,  order = 0,  angle = 14,  scaleX = 1,  scaleY = 1.26919,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 400,  height = 100,  },
		{ name = 'area_click_bbt_Laura',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 565,  y = 323,  order = 60,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 217,  },
		{ name = 'area_bbt_like_Laura_2',  entityType = 'SpriteEntity',  parentName = 'anchor_areas',  x = 318.744,  y = 417.06,  order = 0,  angle = 14,  scaleX = 1,  scaleY = 1.26919,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 400,  height = 100,  },
		{ name = 'anchor_sprites',  entityType = 'SpriteEntity',  x = 0,  y = 0,  order = 10,  color = {r = 1, g = 1, b = 1, a = 0},  editingLocked = false,  treeItemIsExpanded = true,  width = 2,  height = 2,  },
		{ name = 'idle_Laura',  entityType = 'SpriteEntity',  parentName = 'anchor_sprites',  x = 229,  y = 411,  order = 100,  scale = 0.7,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/idle_Laura.png',  width = 512,  height = 768,  },
		{ name = '08_Lauras_room_Anim_Bg',  entityType = 'CompositionContainer',  parentName = 'anchor_sprites',  x = -171,  y = 0,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Scripts/Scenes/08_Lauras_room/Anim/08_Lauras_room_Anim_Bg.lua',  },
		{ name = 'composition08_Lauras_room_BG',  entityType = 'CompositionSequence',  parentName = '08_Lauras_room_Anim_Bg',  x = 0,  y = 0,  order = 0,  editingLocked = false,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'area_click_clock_6',  entityType = 'SpriteEntity',  x = 1062,  y = 68,  order = 10,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  width = 100,  height = 100,  },
		{ name = 'area_find_photo',  entityType = 'SpriteEntity',  x = 969,  y = 226,  order = 90,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'clock_6',  entityType = 'SpriteEntity',  x = 1089,  y = 98,  order = 2,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/clock_08_loc.png',  width = 100,  height = 106,  },
		{ name = 'cover_clock_6',  entityType = 'SpriteEntity',  x = 1093,  y = 105,  order = 3,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/cover_clock_08_loc.png',  width = 142,  height = 136,  },
		{ name = 'fly_clock_6',  entityType = 'SpriteEntity',  x = 1082,  y = 95,  order = 5,  isVisible = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/08_Lauras_room/Layers/fly_clock_6.png',  width = 250,  height = 250,  },
	}
	return objects
end
